ofbiz-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Adrian Crum <adrian.c...@sandglass-software.com>
Subject Re: help installing ofbiz
Date Tue, 06 Jan 2015 19:58:33 GMT
The "Warning : Module classpath component..." messages can be ignored.

Those are generated during the OFBiz bootstrap process where the Java 
class path is being parsed and validated. The JRE-supplied class path 
may include paths that are a part of the OS environment (the Windows 
PATH= setting for example), but they may not exist on the host machine.

Adrian Crum
Sandglass Software
www.sandglass-software.com

On 1/5/2015 6:04 AM, Davide Ciofetti wrote:
> hi Deepak,
> I replaced the jdk1.8.0_25 with the last release of 7 series (update 71)
> and now works.
> I thought that jdk 8 was retro-compatible with other versions, but it isn't.
>
> Thank you!
>
> so I downloaded the last release (13.07.01), executed ant and everything
> works.
> the only problem now (smaller than before) is that i executed a ant
> load-demo and no data was loaded in the system.
>
> I noticed this messages during start:
>
>       [java] Warning : Module classpath component '"C:\Program
> Files\Java\jdk1.7.0_71\lib\tools.jar"' is not valid and will be ignored...
>       [java] Warning : Module classpath component 'C:\Windows\Sun\Java\bin'
> is not valid and will be ignored...
>       [java] Warning : Module classpath component '%DERBY_HOME%\bin' is not
> valid and will be ignored...
>       [java] Warning : Module classpath component '%GERONIMO_HOME%\bin' is
> not valid and will be ignored...
>
> what does it mean? I have to install a derby and geronimo servers?
> I searched for any similar issue but I didn't find nothing
>
> moreover https certification fails...i think I need to read the
> documentation for this.
>
> 2015-01-05 13:51 GMT+01:00 Deepak Dixit <deepak.dixit@hotwaxmedia.com>:
>
>> Hi David,
>>
>> Could you please share your build errors? It will help us to understand
>> the problem. Also please use ./ant (inbuilt) instead of external ant to
>> build the 13.07
>>
>> Thanks & Regards
>> —
>> Deepak Dixit
>>
>>> On Jan 5, 2015, at 3:25 AM, Davide Ciofetti <davide.ciofetti@gmail.com>
>> wrote:
>>>
>>> hi,
>>> i tried in lot of ways to install your application on my laptop, but
>>> without any success:
>>>
>>> 1) I tried downloading the 13.07.01 release version, running ant command
>>> ("ant" and "ant load-demo") but errors appears
>>> 2) I Tried downloading current trunc of 13 version but "use
>>> -Xlint:unchecked" error appeared
>>>
>>> so
>>>
>>> 1) reading solutions on the net (here:
>>> https://issues.apache.org/jira/browse/OFBIZ-5835) I found an answer that
>>> sayed to use javac 1.7 for compiling: modified macros.xml for use javac17
>>> and modified references in 2 build.xml files finished compiling errors
>>>
>>> 2) modified macros.xml file to add the Xlint:unchecked (simply
>> uncommented
>>> the existing one) option to the compiler but compilers errors appeared
>>>
>>> how to solve?
>>>
>>> I will try to execute the compiling process the same way of the link
>> above,
>>> with the same version of ofbiz and java sdk...otherwise i don't know how
>> to
>>> do
>>>
>>> it seems nearly incredible to see lot of errors like this at that
>> steps...
>>>
>>> Davide Ciofetti
>>
>>
>

Mime
View raw message